Subject: Re: [URN] question about version and manifestation

From: Terry Allen <[email-masked]>
Date: Wed, 24 Feb 1999 06:43:14 -0800

Michael Mealling wrote:
| lislee said this:
| > I have one question.
| > Anybody tell me about the question..
| > 
| > IF:
| > There is one resource(e.g. personal homepage).
| > It's URN is <urn:yonsei:lis.99-1>
| > When the author revised the homepage,
| > I wonder whether it is given new URN or not?
| 
| It depends on the rules of the 'yonsei' namespace. If they decide
| that each revision requires a new URN then that applies, if not then
| it is probably left up to the author.
 ...
| It depends on the namespace definition. If _I_ were designing a namespace
| then I would probably specify that each format type and all revisions
| fell under the same URN.
| 
| > And when the document is edited, is new URN needed?
| > If it is, why?
| 
| Again, it depends on the namespace. In my own opinion new revisions would
| still fall under the same URN. In the case of a revision control system
| I suspect each revision would also get a new URN...
 ...
| I hope I've helped. If not please feel free to ask more questions. 
| The mailing list has been kind of slow recently so some educational
| discussion would be a nice change...

Michael's response is quite right:  it's up to the designer of
the name space.  Let me contribute a contrasting domain: e-commerce.
For a name space for URNs identifying invoices, purchase orders,
and so on, I'd want to have a rule that URNs are assigned only once,
so that I didn't end up authorizing payment on an invoice (identified
by URN) that had been edited after I examined it.  On the other hand,
I'd assign the URN only to the XML representation of the document,
without caring about various renditions of it (on screen, on paper).

So it depends on what you want to do.

regards, Terry

Terry Allen                             Commerce One, Inc.
Business Language Designer		1600 Riviera Ave., Suite 200
Advanced Technology Group               Walnut Creek, Calif., 94596
tallen[at]sonic.net